#include "examples_common.c"

int main(void)
{
    allegro_init();

    my_setup_screen();

    install_keyboard();
    install_timer();
    install_fudgefont();

    clear_to_color(screen, makecol(255, 255, 255));

    /* Load font in two sizes. */
    FONT *f = my_load_font("ttf/DejaVuSans.ttf", 40); /* Load it. */
    FONT *f2 = my_load_font("ttf/DejaVuSans.ttf", 12); /* Another. */

    /* Print something. */
    my_color(100, 0, 0);
    my_print(f, 320, 200, 1, "Fudge the Font!");
    my_color(0, 0, 200);
    my_print(f2, 320, 200 + text_height(f), 1,
        "Fudging Truetype fonts into Allegro in a minimalistic way..");

    my_flip();
    readkey();
    return 0;
}
END_OF_MAIN()
